function  Mysigma(A,B,C,D,e1,e2,titlestring,type);

   [n,p] = size(B); 
   m = 500;
   h = (e2-e1)/m;
   e = zeros(m,1);
   s = zeros(m,1);
   for j = 1:m,
       e(j)  = e1 + (j-1)*h;
       s(j) = 10^e(j);
   end
   s = i*s;

   I = eye(n);

   w = zeros(m,1);
   for j = 1:m,
       w(j) = C*((s(j)*I - A)\B) + D; 
   end
   w = abs(w);
   s = abs(s);
   loglog(s,w,type,'linewidth',1.5)
   w(m) = w(m)*(1.05);
%  semilogx(s,w,type,'linewidth',1.5)
%  semilogx(s(m),w(m)*(1.05),'k.')
   title(titlestring,'Fontsize',20)
   ylabel('|G(j\omega)|','Fontsize',15)
   xlabel('Frequency \omega ','Fontsize',15 )

